Package com.verisign.epp.codec.launchpolicy.v01

## Enum EPPLaunchPolicyPhaseStatus.Status

- java.lang.Object
- - java.lang.Enum<EPPLaunchPolicyPhaseStatus.Status>
  - - com.verisign.epp.codec.launchpolicy.v01.EPPLaunchPolicyPhaseStatus.Status

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `java.lang.Comparable<EPPLaunchPolicyPhaseStatus.Status>`
  Enclosing class:
    EPPLaunchPolicyPhaseStatus

      public static enum EPPLaunchPolicyPhaseStatus.Status
      extends java.lang.Enum<EPPLaunchPolicyPhaseStatus.Status>
      implements java.io.Serializable, java.lang.Cloneable

  Possible launch phase statuses used by the `statuses` attribute.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `allocated` | The object corresponding to the application or registration has been provisioned.
    `custom` | A custom status that is defined using the "name" attribute.
    `invalid` | The application or registration does not validate according to registry rules.
    `pendingAllocation` | The allocation of the application or registration is pending based on the results of some out- of-band process (for example, an auction).
    `pendingValidation` | The initial state of a newly-created application or registration object.
    `rejected` | The application or registration object was not provisioned.
    `validated` | The application or registration meets relevant registry rules.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EPPLaunchPolicyPhaseStatus.Status` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EPPLaunchPolicyPhaseStatus.Status[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### pendingValidation

          public static final EPPLaunchPolicyPhaseStatus.Status pendingValidation

      The initial state of a newly-created application or registration object.

    - #### validated

          public static final EPPLaunchPolicyPhaseStatus.Status validated

      The application or registration meets relevant registry rules.

    - #### invalid

          public static final EPPLaunchPolicyPhaseStatus.Status invalid

      The application or registration does not validate according to registry rules.

    - #### pendingAllocation

          public static final EPPLaunchPolicyPhaseStatus.Status pendingAllocation

      The allocation of the application or registration is pending based on the results of some out- of-band process (for example, an auction).

    - #### allocated

          public static final EPPLaunchPolicyPhaseStatus.Status allocated

      The object corresponding to the application or registration has been provisioned.

    - #### rejected

          public static final EPPLaunchPolicyPhaseStatus.Status rejected

      The application or registration object was not provisioned.

    - #### custom

          public static final EPPLaunchPolicyPhaseStatus.Status custom

      A custom status that is defined using the "name" attribute.

  - ### Method Detail

    - #### values

          public static EPPLaunchPolicyPhaseStatus.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPLaunchPolicyPhaseStatus.Status c : EPPLaunchPolicyPhaseStatus.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPLaunchPolicyPhaseStatus.Status valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null